Package org.apache.ignite.internal.pagemem.wal.record.delta

## Class MetaPageInitRootInlineFlagsCreatedVersionRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootRecord
      - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootInlineRecord
        - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootInlineFlagsCreatedVersionRecord

All Implemented Interfaces:
  `WalRecordCacheGroupAware`

    public class MetaPageInitRootInlineFlagsCreatedVersionRecord
    extends MetaPageInitRootInlineRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootRecord

`rootId`

### Constructor Summary

Constructors
`MetaPageInitRootInlineFlagsCreatedVersionRecord​(int grpId, long pageId, long rootId, int inlineSize)`
`MetaPageInitRootInlineFlagsCreatedVersionRecord​(int grpId, long pageId, long rootId, int inlineSize, long flags, IgniteProductVersion createdVer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta​(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`IgniteProductVersion` `createdVersion()`
`long` `flags()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootInlineRecord

`inlineSize`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootRecord

`rootId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaPageInitRootInlineFlagsCreatedVersionRecord

    public MetaPageInitRootInlineFlagsCreatedVersionRecord​(int grpId,
                                                           long pageId,
                                                           long rootId,
                                                           int inlineSize)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Meta page ID.
  `rootId` - Root id.
  `inlineSize` - Inline size.

#### MetaPageInitRootInlineFlagsCreatedVersionRecord

    public MetaPageInitRootInlineFlagsCreatedVersionRecord​(int grpId,
                                                           long pageId,
                                                           long rootId,
                                                           int inlineSize,
                                                           long flags,
                                                           IgniteProductVersion createdVer)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Meta page ID.
  `rootId` - Root id.
  `inlineSize` - Inline size.
  `flags` - Flags.
  `createdVer` - The version of ignite that creates this tree.

### Method Detail

#### applyDelta

    public void applyDelta​(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Overrides:
  `applyDelta` in class `MetaPageInitRootInlineRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Overrides:
  `type` in class `MetaPageInitRootInlineRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `MetaPageInitRootInlineRecord`

#### createdVersion

    public IgniteProductVersion createdVersion()

Returns:
  Created version.

#### flags

    public long flags()

Returns:
  Meta page flags.